<script setup>
import TheWelcome from "../components/TheWelcome.vue";
import ImageEditor from "../components/ImageEditor.vue";
import { ref, watch } from "vue";

const image = ref({ type: "base64", src: "", text: "123", rotate: 0, size: 0 });

watch(image, () => {
  console.log(image.value);
  console.log(image.value.src)
});
</script>

<template>
  <main class="bg-white p-4 rounded">
    <ImageEditor
      :image="image"
      @update:image="(newValue) => (image = newValue)"
    />

    <div class="text-center max-w-[250px] line-clamp-3 mt-2 break-words">
      {{ JSON.stringify(image) }}
    </div>
  </main>
</template>
